types

API: weather.gov:national-weather-service-api
Endpoint: /products/types
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 281ms

Description

Returns a list of valid text product types and codes

Examples (1)

Get all text product types curl
curl 'https://api.weather.gov/products/types' \
  -H 'User-Agent: RobustAPI-Example/1.0'
import requests

resp = requests.get(
    "https://api.weather.gov/products/types",
    headers={
        'User-Agent': 'RobustAPI-Example/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("products/types")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/products/types", {
  headers: {
    "User-Agent": "RobustAPI-Example/1.0",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 03:44:44.425062 200 281ms
2026-04-03 12:34:04.605244 200 286ms
2026-03-30 02:31:43.012268 200 362ms
2026-03-29 12:43:48.674654 200 237ms
2026-03-23 09:30:16.655947 200 209ms